#include <stdio.h>
#include <stdlib.h>
#include <string.h>
// #include "azioni.h" NON NECESSARIO perche’ gia’ incluso da trova.h...
#include "trova.h"

#define MAX_AZIONI 100

int main(void) {
	FILE * fp;
	azione temp1, temp2;
	azione lista[MAX_AZIONI];
	int dim;
	float min, max, med;
	char nome[64];
	int i, stop;
	
	if ((fp=fopen("azioni.dat", "w")) == NULL)
				exit(-1);
	for (i = 0, stop = 0; i < MAX_AZIONI && !stop; i++) {
		printf("Inserire il nome di un titolo azionario: ");
		scanf("%s", temp1.nome);
		if (strcmp(temp1.nome, "fine") == 0)
			stop = 1;
		else {
			printf("Inserire i valori di apertura e chiusura ed il giorno: ");			
			scanf("%f%f%d", &temp1.ap, &temp1.cl, &temp1.day);
			fwrite(&temp1, sizeof(azione), 1, fp);
		}
	}
	fclose(fp);
	
	if ((fp=fopen("azioni.dat", "r")) == NULL)
				exit(-1);
	printf("Inserisci il mome di un titolo azionario da analizzare: ");
	scanf("%s", nome);
	dim = leggi(fp, lista, 100, nome);
	fclose(fp);
	
	temp1 = trovaMin(lista, dim, &min);
	temp2 = trovaMax(lista, dim, &max);
	
	printf("Minimo raggiunto da %s il giorno %d, valore %f euro.\n",
				temp1.nome, temp1.day, min);
	printf("Massimo raggiunto da %s il giorno %d, valore %f euro.\n",
	temp2.nome, temp2.day, max);
	med = media(lista, dim);
	printf("Media: %f\n", med);
	printf("Volatilita': %.2f%%...%.2f%%\n", (min-med)/med*100, (max-med)/med*100);
				
	return (0);
}